.social-media {
    position: relative;
    z-index: 1;
}

.social-media::before {
    content: '';
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 50%;
    left: 0;
    bottom: -1px;
    background: var(--dark-grey);
    border-top-right-radius: 50px;
}

.archive .social-media::before {
    border-top-left-radius: 50px;
}

.social-media__wrapper {
    border-radius: 20px;
    position: relative;
    z-index: 1;
    background: var(--dark-green);
    overflow: hidden;
    padding: 30px 0;
    text-align: center;
}

.social-media__wrapper h2 {
    font-size: 25px;
}

.social-media__wrapper ul {
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 15px;
}

.social-media__wrapper ul li {
    margin: 0;
    padding: 0;
    font-size: 35px;
    line-height: 1em;
}

.social-media__wrapper ul li::before {
    display: none;
}

.social-media__wrapper ul li a {
    font-weight: normal;
    color: var(--white);
    background: none;
    display: block;
    line-height: 0;
    overflow: hidden;
}

.social-left-pattern {
    position: absolute;
    z-index: -1;
    top: -48px;
    left: -23px;
}

.social-right-pattern {
    position: absolute;
    z-index: -1;
    bottom: -45px;
    right: -15px;
}

.social-media--full-width {
    overflow: hidden;
}

.social-media--full-width.social-media::before {
    display: none;
}

.social-media--full-width .social-media__wrapper {
    border-radius: 0;
    background: transparent;
    width: 100%;
}

.social-media--dark-green {
    background: var(--dark-green);
}

.social-media--darker-green {
    background: var(--darker-green);
}

.social-media--black {
    background: var(--light-black);
}

.social-left-pattern-inner {
    position: absolute;
    z-index: -1;
    top: -83px;
    left: -39px;
    width: 150px;
}

.social-right-pattern-inner {
    position: absolute;
    z-index: -1;
    bottom: -82px;
    right: -37px;
    width: 150px;
}

.social-media--full-width .social-media__wrapper h2 {
    font-size: 28px;
}

@media (min-width: 768px) {

    .social-media::before {
        border-top-right-radius: 100px;
    }

    .archive .social-media::before {
        border-top-left-radius: 100px;
    }

    .social-media__wrapper {
        padding: 50px 20px;
    }

    .social-media__wrapper h2 {
        font-size: 36px;
    }

    .social-media__wrapper ul li {
        font-size: 40px;
    }


    .social-left-pattern {
        top: -57px;
        left: -127px;
    }

    .social-right-pattern {
        bottom: -88px;
        right: -61px;
    }

    .social-left-pattern-inner {
        top: -125px;
        left: -56px;
        width: 250px;
    }

    .social-right-pattern-inner {
        bottom: -135px;
        right: -50px;
        width: 250px;
    }

    .social-media--full-width .social-media__wrapper h2 {
        font-size: 40px;
        margin: 0 0 25px;
    }

    .social-media--full-width .social-media__wrapper {
        padding: 39px 20px 45px 20px;
    }
}

@media (min-width: 1200px) {


    .social-media__wrapper {
        padding: 60px 20px;
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: 75px;
    }

    .social-media__wrapper h2 {
        font-size: 40px;
        margin-bottom: 0;
    }

    .social-media__wrapper ul li {
        font-size: 50px;
    }

    .social-media__wrapper ul li a:hover {
        color: var(--light-green);
        text-decoration: none;
    }

    .social-left-pattern {
        top: -78px;
        left: -73px;
    }

    .social-right-pattern {
        bottom: -117px;
        right: -41px;
    }

    .social-left-pattern-inner {
        top: -96px;
        left: 0;
        width: 411px;
    }

    .social-right-pattern-inner {
        bottom: unset;
        top: -96px;
        right: 0;
        width: 411px;
    }

    .social-media--full-width .social-media__wrapper h2 {
        margin: 0;
    }

    .social-media--full-width .social-media__wrapper {
        padding: 58px 52px;
    }
}

.single .social-media::before {
    border-top-right-radius: 0;
}